Skip to navigation

Get Company Default Addresses

Returns a Company’s default shipping and billing addresses. Use Update Address Information to change which addresses are set as the defaults.

Equivalent Storefront GraphQL API Query: defaultBillingAddress for the billing address and defaultShippingAddress for the shipping address. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

companyIdstringRequired
The unique numeric ID of the Company account.

Response

OK
messagestringOptional
codedoubleOptionalDefaults to 200
dataobjectOptional